ClientInfoStatus (Java SE 22 & JDK 22)
Description: declaration: module: java.sql, package: java.sql, enum: ClientInfoStatus
Keywords: java.sql.ClientInfoStatus class

Module java.sql
Package java.sql

# Enum Class ClientInfoStatus

java.lang.Object
java.lang.Enum<ClientInfoStatus>
java.sql.ClientInfoStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientInfoStatus>`, `Constable`

public enum ClientInfoStatus extends Enum<ClientInfoStatus>
Enumeration for status of the reason that a property could not be set via a call to `Connection.setClientInfo`

Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `REASON_UNKNOWN`
  The client info property could not be set for some unknown reason
  `REASON_UNKNOWN_PROPERTY`
  The client info property name specified was not a recognized property name.
  `REASON_VALUE_INVALID`
  The value specified for the client info property was not valid.
  `REASON_VALUE_TRUNCATED`
  The value specified for the client info property was too large.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClientInfoStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClientInfoStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REASON_UNKNOWN

    public static final ClientInfoStatus REASON_UNKNOWN
    The client info property could not be set for some unknown reason
    Since:
      1.6

  - ### REASON_UNKNOWN_PROPERTY

    public static final ClientInfoStatus REASON_UNKNOWN_PROPERTY
    The client info property name specified was not a recognized property name.
    Since:
      1.6

  - ### REASON_VALUE_INVALID

    public static final ClientInfoStatus REASON_VALUE_INVALID
    The value specified for the client info property was not valid.
    Since:
      1.6

  - ### REASON_VALUE_TRUNCATED

    public static final ClientInfoStatus REASON_VALUE_TRUNCATED
    The value specified for the client info property was too large.
    Since:
      1.6

- ## Method Details

  - ### values

    public static ClientInfoStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClientInfoStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null